Apache Log4j Remote Code Execution (Log4Shell)

critical Web Application Scanning プラグイン ID 113075

言語:

概要

Apache Log4j のリモートコード実行 (Log4Shell)

説明

Apache Log4j は、多数の Java アプリケーションで利用されているオープンソースの Java ベースのロギングフレームワークです。Apache Log4j バージョン 2.0-beta9 ~ 2.15.0 では、ユーザーが制御する入力を処理する際のメッセージ検索置換の保護が不十分です。悪意のある文字列を作成することで、攻撃者はこの問題を利用して、ターゲットアプリケーションが使用する Log4j インスタンスでリモートコードの実行を引き起こす可能性があります。

ソリューション

バージョン2.16.0以降にアップグレードしてください。

関連情報

https://logging.apache.org/log4j/2.x/security.html

https://www.lunasec.io/docs/blog/log4j-zero-day/

https://www.lunasec.io/docs/blog/log4j-zero-day-severity-of-cve-2021-45046-increased/

プラグインの詳細

深刻度: Critical

ID: 113075

タイプ: remote

ファミリー: Component Vulnerability

公開日: 2021/12/11

更新日: 2021/12/27

スキャン テンプレート: pci, api, scan, log4shell

リスク情報

VPR

リスクファクター: Critical

スコア: 10

CVSS v2

リスクファクター: High

Base Score: 9.3

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

CVSS スコアのソース: CVE-2021-44228

CVSS v3

リスクファクター: Critical

Base Score: 10

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

CVSS スコアのソース: CVE-2021-44228

脆弱性情報

CPE: cpe:2.3:a:apache:log4j:*:*:*:*:*:*:*:*

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2021/12/10

脆弱性公開日: 2021/12/9

参照情報

CVE: CVE-2021-44228, CVE-2021-45046